<template>
  <Page actionBarHidden="true" statusBarStyle="dark">
    <StackLayout>
      <Frame>
        <SplashScreen />
      </Frame>
    </StackLayout>
  </Page>
</template>

<script>
import { mapMutations } from 'vuex';
const application = require('application');
import { MUTATORS } from '~/store/cart';
import { MUTATORS as MEMBER_MUTATORS } from '~/store/member';
import { SlideInOnTopTransition } from 'nativescript-ui-sidedrawer';
import { handleOpenURL } from 'nativescript-urlhandler';
import SplashScreen from './Splash/SplashScreen';
export default {
  data() {
    return {
      transition: new SlideInOnTopTransition()
    };
  },
  components: {
    SplashScreen,
  },
  methods: {
    ...mapMutations({
      setPaymentData: MUTATORS.SET_PAYMENT_RESPONSE,
      setLogin: MEMBER_MUTATORS.SET_LOGIN_RESULT,
    }),
  },
  mounted() {
    // Hide status bar (Android)
    // if (application.android) {
    //   const win = application.android.startActivity.getWindow();
    //   win.addFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
    // }
    this.$firebaseSDK.analytics.logEvent({
      key: this.$keyEvent.APP_LAUNCH,
      parameters: [],
    }).then(
      function () {
        console.log("Firebase Analytics app launch event logged");
      }
    );

    this.$requestPermissionNotificaiton();

    handleOpenURL((appURL) => {
      console.log('BlinQ App Opened from appURL, data:', JSON.stringify(appURL));
      const OrderID = appURL.params.get('OrderID');
      const RouteID = appURL.params.get('RouteID');
      console.log('OrderID', OrderID, 'RouteID', RouteID);
      if (RouteID === 'cart-thank-you') {
        this.setPaymentData({ status: 'SUCCESS', orderId: OrderID });
      } else if (RouteID === 'cart-sorry') {
        this.setPaymentData({ status: 'FAIL', orderId: OrderID });
      } else if (RouteID === 'social-login-success') {
        const MemberID = appURL.params.get('MemberID');
        const MemberName = decodeURI(appURL.params.get('MemberName'));
        console.log('MemberID', MemberID, 'MemberName', MemberName, 'RouteID', RouteID);
        if (MemberID) {
          this.setLogin({ memberId: MemberID, memberName: MemberName });
          this.$goToScreen('member-dashboard');
        }
      } else if (RouteID === 'social-login-register') {
        const Email = appURL.params.get('Email');
        const FacebookID = appURL.params.get('FacebookID');
        const GoogleID = appURL.params.get('GoogleID');
        this.$goToScreen('member-register', { Email, FacebookID, GoogleID });
      } else if (RouteID === 'member-model-photo-detail') {
        const MemberID = appURL.params.get('MemberID');
        const MemberModelPhotoID = appURL.params.get('MemberModelPhotoID');
        console.log('MemberID', MemberID, 'MemberModelPhotoID', MemberModelPhotoID, 'RouteID', RouteID);
        if (MemberModelPhotoID) {
          this.$goToScreen(RouteID, { modelPhotoId: MemberModelPhotoID });
        }
      }
    });
  },
};
</script>

<style lang="scss" src="../scss/style.scss"></style>
